View Issue Details

IDProjectCategoryView StatusLast Update
0023758mantisbtuipublic2018-02-22 16:58
ReportersyncguruAssigned Tosyncguru 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.9.0 
Target Version2.11.0Fixed in Version2.11.0 
Summary0023758: Allow users to select font family that fits them best
Description

A key part of improving the readability of MantisBT Modern UI is the ability to choose the font the works well with the language of choice and display settings. Google fonts is the standard in this area, currently we use Google "Open Sans" as the default and only option. With this change users will be able to customize font on per user basis

TagsNo tags attached.

Relationships

related to 0023992 closedatrol Font = Times News Roman after Upgrade from v2.7.0 
related to 0023978 closedatrol Fonts are not rendered correctly in Windows clients 
related to 0023950 closedatrol font sizes far too small 
child of 0022253 assignedsyncguru New UI is hard to read 

Related Changesets

MantisBT: master 1906e4df

2017-12-28 19:54:08

syncguru


Committer: vboctor Details Diff
Allow users to choose the font family

Fixes 0023758
Affected Issues
0023758
mod - account_prefs_inc.php Diff File
mod - account_prefs_update.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/layout_api.php Diff File
mod - core/print_api.php Diff File
mod - docbook/Admin_Guide/en-US/config/display.xml Diff File
mod - lang/strings_english.txt Diff File

MantisBT: master dd31fc05

2017-12-29 20:49:38

syncguru


Committer: vboctor Details Diff
Few changes based on PR feedback

Fixes 0023758
Affected Issues
0023758
mod - account_prefs_inc.php Diff File
mod - account_prefs_update.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/layout_api.php Diff File
mod - core/print_api.php Diff File
add - css/fonts.css Diff File
rm - css/open-sans.css Diff File
mod - docbook/Admin_Guide/en-US/config/display.xml Diff File
add - fonts/59ZRklaO5bWGqF5A9baEEYX0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
rm - fonts/DXI1ORHCpsQm3Vp6mXoaTXhCUOGz7vYGh680lGh-uXM.woff Diff File
add - fonts/HUuNgGR31mqIHE6zs0BlBgLUuEpTyoUstqEm5AMlJo4.woff2 Diff File
add - fonts/K88pR3goAWT7BTt32Z01m4X0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
add - fonts/LWCjsQkB6EMdfHrEVqA1KYX0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
add - fonts/NX1NravqaXESu9fFv7KuqgsYbbCjybiHxArTLjt7FRU.woff2 Diff File
add - fonts/RjgO7rYTmqiVp7vzi-Q5UYX0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
add - fonts/SKK6Nusyv8QPNMtI4j9J2wsYbbCjybiHxArTLjt7FRU.woff2 Diff File
rm - fonts/cJZKeOuBrn4kERxqtaUH3T8E0i7KZn-EPnyo3HZu7kw.woff Diff File
add - fonts/cJZKeOuBrn4kERxqtaUH3ZBw1xU1rKptJj_0jans920.woff2 Diff File
add - fonts/dDzx7Qrpf6EUDCpeO-RralKPGs1ZzpMvnHX-7fPOuAc.woff2 Diff File
add - fonts/gFXtEMCp1m_YzxsBpKl68gsYbbCjybiHxArTLjt7FRU.woff2 Diff File
add - fonts/rBHvpRWBkgyW99dXT88n7wsYbbCjybiHxArTLjt7FRU.woff2 Diff File
add - fonts/u-WUoqrET9fUeobQW7jkRYX0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
add - fonts/w5uwZf-mdghB6LOAw_y9AFKPGs1ZzpMvnHX-7fPOuAc.woff2 Diff File
add - fonts/xozscpT2726on7jbcb_pAoX0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
add - fonts/zhcz-_WihjSQC0oHJ9TCYAzyDMXhdD8sAj6OAJTFsBI.woff2 Diff File

MantisBT: master b3d60edc

2017-12-30 15:49:09

syncguru


Committer: vboctor Details Diff
Add more google fonts to available choices

Fixes 0023758
Affected Issues
0023758
mod - config_defaults_inc.php Diff File

MantisBT: master 4daf1b43

2017-12-30 18:02:17

syncguru


Committer: vboctor Details Diff
Name changes based on PR comments

Fixes 0023758
Affected Issues
0023758
mod - config_defaults_inc.php Diff File
mod - core/print_api.php Diff File
mod - docbook/Admin_Guide/en-US/config/display.xml Diff File

MantisBT: master 88154cf2

2017-12-30 22:00:30

syncguru


Committer: vboctor Details Diff
Rename config settings

Fixes 0023758
Affected Issues
0023758
mod - account_prefs_update.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/print_api.php Diff File
mod - docbook/Admin_Guide/en-US/config/display.xml Diff File

Issue History

Date Modified Username Field Change
2017-12-28 19:49 syncguru New Issue
2017-12-28 19:49 syncguru Status new => assigned
2017-12-28 19:49 syncguru Assigned To => syncguru
2017-12-28 19:49 syncguru Relationship added child of 0022253
2017-12-28 20:04 syncguru Note Added: 0058452
2017-12-30 18:39 vboctor Target Version 2.10.0 => 2.11.0
2018-01-13 20:06 vboctor Changeset attached => MantisBT master 1906e4df
2018-01-13 20:06 vboctor Changeset attached => MantisBT master dd31fc05
2018-01-13 20:06 vboctor Changeset attached => MantisBT master b3d60edc
2018-01-13 20:06 vboctor Changeset attached => MantisBT master 4daf1b43
2018-01-13 20:06 vboctor Changeset attached => MantisBT master 88154cf2
2018-01-13 20:06 syncguru Status assigned => resolved
2018-01-13 20:06 syncguru Resolution open => fixed
2018-01-13 20:06 syncguru Fixed in Version => 2.11.0
2018-02-06 21:17 vboctor Status resolved => closed
2018-02-18 06:41 atrol Relationship added related to 0023992
2018-02-18 06:42 atrol Relationship added related to 0023978
2018-02-22 16:58 atrol Relationship added related to 0023950